"$schema" = 'https://starship.rs/config-schema.json'

add_newline = true
continuation_prompt = '▶▶ '
format = """$directory$all$character"""
palette = "catppuccin_mocha"

[aws]
symbol = ""

[aws.region_aliases]
ap-southeast-1 = 'in'

# [aws.profile_aliases]
# Enterprise_Naming_Scheme-voidstars = 'void**'

[bun]
format = '[🍞bun $version ](bold green)'
version_format = '${major}.${minor}'

[c]
format = '[$symbol $name-$version ]($style)'
symbol = ""
version_format = '${major}.${minor}'

[character]
success_symbol = '[➜ ](bold fg:green)'
error_symbol = '[⊘ ](bold fg:red)'

[cmd_duration]
disabled = true

[directory]
truncation_length = 2

[git_branch]
format='[ $symbol$branch (: $remote_branch )]($style)'
style='bold purple'
symbol=" "
always_show_remote = true

[git_state]
cherry_pick = '[🍒 PICKING](bold red)'

[git_metrics]
format = '[+$added]($added_style) [-$deleted]($deleted_style) '
disabled = false

[git_status]
format = '([\[$all_status$ahead_behind\]]($style) )'
ahead = '⇡${count}'
diverged = '⇕⇡${ahead_count}⇣${behind_count}'
behind = '⇣${count}'
conflicted = '🏳'
stashed = '📦'
staged = '[++\($count\)](green)'
deleted = '🗑'


[golang]
format = '[ $version ](bold cyan)'
version_format = '${major}.${minor}'

[nodejs]
disabled = true

[package]
disabled = false

[palettes.catppuccin_mocha]
rosewater = "#f5e0dc"
flamingo = "#f2cdcd"
pink = "#f5c2e7"
mauve = "#cba6f7"
red = "#f38ba8"
maroon = "#eba0ac"
peach = "#fab387"
yellow = "#f9e2af"
green = "#a6e3a1"
teal = "#94e2d5"
sky = "#89dceb"
sapphire = "#74c7ec"
blue = "#89b4fa"
lavender = "#b4befe"
text = "#cdd6f4"
subtext1 = "#bac2de"
subtext0 = "#a6adc8"
overlay2 = "#9399b2"
overlay1 = "#7f849c"
overlay0 = "#6c7086"
surface2 = "#585b70"
surface1 = "#45475a"
surface0 = "#313244"
base = "#1e1e2e"
mantle = "#181825"
crust = "#11111b"

[python]
symbol = " "
format = '[$symbol$version ](bold yellow)'
version_format = '${major}.${minor}'

[sudo]
format = '[ as $symbol]($style)'	
symbol = " "
style = 'bold blue'
disabled = false
